# $Id: mysql.m4 41 2006-02-04 12:41:09Z dewitge $
AC_DEFUN([HAVE_MYSQL],
[AC_PATH_PROG(mysql_config_script, [mysql_config])
if test -x ${mysql_config_script}; then
  CFLAGS="$CFLAGS `${mysql_config_script} --cflags`"
  LIBS="$LIBS `${mysql_config_script} --libs`"
else
AC_CHECK_HEADERS([my_global.h], [],
  [AC_MSG_ERROR([my_global.h header file not found in ${CPPFLAGS}, use --with-mysql=PATH])])
AC_CHECK_HEADERS([my_sys.h], [],
  [AC_MSG_ERROR([my_sys.h header file not found in ${CPPFLAGS}, use --with-mysql=PATH])])
AC_CHECK_HEADERS([m_string.h], [],
  [AC_MSG_ERROR([m_string.h header file not found in ${CPPFLAGS}, use --with-mysql=PATH])])
AC_CHECK_HEADERS([mysql.h], [],
  [AC_MSG_ERROR([mysql.h header file not found in ${CPPFLAGS}, use --with-mysql=PATH])])
AC_CHECK_HEADERS([errmsg.h], [],
  [AC_MSG_ERROR([errmsg.h header file not found in ${CPPFLAGS}, use --with-mysql=PATH])])
AC_CHECK_LIB([mysqlclient], [mysql_real_connect], [],
  [AC_MSG_ERROR([mysqlclient library not found in ${LDFLAGS}, use --with-mysql=PATH])])
fi
])
