#!/bin/bash
#  $Id: mysqlard.cnf.sh 40 2006-01-20 20:26:11Z dewitge $
#	
#  MySQL Activity Report
#  Global mysqlard config script
#
#  Copyright 2004 Gert Dewit <gert.dewit@sos.be>
#
# Change the default settings for all tools here, if you want to change a
# setting for only 1 tool, change the tool script.

# Where the RRD files are stored
datadir="@datadir@"
# Where the graphs are stored
imgdir="${datadir}"
# Where the archived graphs are stored
archivedir="${imgdir}/archive"
# Full path to rrdtool
RRDTOOL="@rrdtool_path@"
# Full path to the daemon
MYSQLARD="@sbindir@/mysqlard"
# PID file name
pidfile="@pidfile@"
# Step time between samples in seconds.
step="60"
# Minimun number of samples in a RRA
minsamples="360"
# Width and height of the graph, this is not the width of the image. Legends
# etc are placed outside this area
graphwidth="400"
graphheight="100"
# Format of the generated image (GIF, PNG or GD)
graphformat="PNG"
# Background color
backcol="#FFFFFF"
# Background color of the graphing area
canvascol="#FFFFFF"
# Left and Top border color, can be used to create a shading effect
shadeacol="#FFFFFF"
# Bottom and Right border color, can be used to create a shading effect
shadebcol="#FFFFFF"
# Gridlines color
gridcol="#000000"
# Major gridlines color
mgridcol="#000000"
# Font color
fontcol="#000000"
# Canvas frame color
framecol="#000000"
# Arrow color
arrowcol="#FF0000"

# Provide some text for slave status monitoring
slave=

# Don't change the values below yet, the daemon needs to be updated first,
# hang in there ;)
confile="${datadir}/connections.rrd"
tabfile="${datadir}/table_cache.rrd"
keyfile="${datadir}/key_cache.rrd"
queryfile="${datadir}/queries.rrd"
slavefile="${datadir}/slave.rrd"

